Bug 263 - Unable to apply ACLs down the tree when mapped through a dfs share
Unable to apply ACLs down the tree when mapped through a dfs share
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
Other Linux
: P3 normal
: 3.0.1
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks: 807
  Show dependency treegraph
 
Reported: 2003-08-01 09:40 UTC by Bill Marshall
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments
Fix dfs get_info call (562 bytes, patch)
2003-08-15 15:04 UTC, John Janosik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Marshall 2003-08-01 09:40:37 UTC
When using an XP client, connecting through the 2.2.8 or 3.0beta3 samba dfs 
server to a samba or w2k file server, we are unable to use Properties, 
security, advanced, Replace permission entries on all child objects..

However, when going through a w2k dfs server to a w2k or samba file server, 
you can apply ACLs to all child objects.

We can provide network and/or samba traces.
Comment 1 John Janosik 2003-08-15 15:04:04 UTC
Created attachment 83 [details]
Fix dfs get_info call

When a Windows 2000 server replies to a NetDfsGetInfo call it only returns
successfully if the DfsEntryPath supplied exactly matches a Dfs root or Dfs
link on the server.  Samba was returning successfully if any part of the
DfsEntryPath supplied was a dfs root or dfs link.  For some reason Windows XP
clients would not apply acls down a tree mapped via a Samba Dfs server even
though the "Replace permission entries on all child objects with entries show
here that apply to child objects" checkbox was checked in the advanced security
settings GUI.
Comment 2 Gerald (Jerry) Carter 2003-08-29 08:11:30 UTC
Will try again for RC3.
Comment 3 Gerald (Jerry) Carter 2003-08-29 08:11:54 UTC
Will try again for RC3.
Comment 4 Gerald (Jerry) Carter 2003-08-29 08:13:13 UTC
sorry.  didn't mean to close it.
Comment 5 Jeremy Allison 2003-11-24 18:02:29 UTC
Patch looks good - applied.
Jeremy.
Comment 6 Gerald (Jerry) Carter 2005-02-07 08:41:19 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:19:34 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.